将产品从商店转移到另一个Magento 1.9

时间:2019-11-27 09:33:27

标签: php sql magento-1.9

我想将产品从网站转移到多商店网站中的另一个网站 有人有主意吗? 我正在使用Magento 1.9

public void DrawSingleXDDoor(double height, double width, bool fireRated, double frameDepthChange)
        {
            DrawLid("lid", leafHeight, lidWidth);
        }

public void DrawLid(string type, double height, double width)
        {
            DrawShapes d1 = new DrawShapes();
            DrawComponents xd = new DrawComponents();
            d1.DrawRectangle(0, 0, height, width);
        }
public void DrawRectangle(double startx, double starty, double recHeight, double recWidth)
        {
            double height = recHeight;
            double width = recWidth;
            //Get the drawing document and the dataabses object
            Document doc = Application.DocumentManager.MdiActiveDocument;
            Database db = doc.Database;
            using (Transaction trans = db.TransactionManager.StartTransaction())
            {
                try
                {
                    BlockTable bt;
                    bt = trans.GetObject(db.BlockTableId, OpenMode.ForRead) as BlockTable;

                    BlockTableRecord btr;
                    btr = trans.GetObject(bt[BlockTableRecord.ModelSpace], OpenMode.ForWrite) as BlockTableRecord; 
                    Polyline p1 = new Polyline();
                    p1.AddVertexAt(0, new Point2d(startx + 0, starty + 0), 0, 0, 0);
                    p1.AddVertexAt(0, new Point2d(startx + 0, starty + height), 0, 0, 0);
                    p1.AddVertexAt(0, new Point2d(startx + width, starty + height), 0, 0, 0);
                    p1.AddVertexAt(0, new Point2d(startx + width, starty + 0), 0, 0, 0);
                    p1.AddVertexAt(0, new Point2d(startx + 0, starty + 0), 0, 0, 0);
                    p1.SetDatabaseDefaults();
                    btr.AppendEntity(p1);
                    trans.AddNewlyCreatedDBObject(p1, true);
                    trans.Commit();
                }
                catch (System.Exception ex)
                {
                    doc.Editor.WriteMessage("Error encountered: " + ex.Message);
                    trans.Abort();
                }
            }

        }

任何人都有一个主意 预先感谢

0 个答案:

没有答案